@charset "UTF-8";

@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Sriracha&display=swap');

* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    font-family: 'Poppins', Arial, Helvetica, sans-serif;
}

:root {
    --cor-fundo: #452C5C;
    --cor-1: #2A1B38;
    --cor-2: #A469DB;
    --cor-3: #8656B3;
    --cor-4: #67428A;

    --cor-secundaria-1: #F0D777;
    --cor-secundaria-2: #CCB866;

    --cor-texto: #F5F5F5;
    --cor-texto-escuro: #1E1E1E;
}

html {
    scroll-behavior: smooth;
}

body {
    background-color: var(--cor-1);
    color: var(--cor-texto-escuro);
    overflow-x: hidden;
}


.btn {
    padding: 10px 20px;
    border: none;
    border-radius: 999px;
    cursor: pointer;
    font-size: 1rem;
    font-weight: 600;
    background-color: transparent;

    text-decoration: none;
    display: inline-block;
}

.btn-mobile {
    font-size: 1.5rem;
}

.btn-default {
    background-color: var(--cor-secundaria-1);
    color: var(--cor-1);
    border-radius: 999px;
    transition: all .3s ease;
}

.btn-default:hover {
    background-color: var(--cor-secundaria-2);
}

.btn-livro {
    background-color: var(--cor-secundaria-1);
    color: var(--cor-1);

    padding: 10px 20px;

    transition: all .3s ease;

    margin: 25px auto 0 auto;

    display: block;

    width: fit-content;
}

.btn-livro:hover {
    background-color: var(--cor-secundaria-2);
}

.container {
    width:  min(var(--max), calc(100% - 28px));
    margin: 0 auto;
}

/* NAV-BAR */
header {
    padding: 12px 4%;
    top: 0;
    z-index: 1;

    background-color: var(--cor-1);
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.navbar > button {
    color: var(--cor-4);
}

.logo {
    width: 50px;
}

#nav-links {

    display: none;
    flex-direction: column;

    list-style: none;
    gap: 0.5rem;
    width: 100%;
    position: absolute;


    top: 80px;
    background-color: var(--cor-1);
    left: 0;
    padding: 1rem;
}

#nav-links.show {
    display: flex;
}

li {
    text-align: center;
}

li > a {
    color: var(--cor-secundaria-1);
    text-decoration: none;
    font-size: 1rem;
    font-weight: 500;

    border-bottom: 1px solid transparent;

    transition: all .3s ease;
}

.btn-default {
    display: none;
}

li > a:hover {
    color: var(--cor-2);
    border-bottom: 1px solid var(--cor-2);
}



/* MAIN */
#home {
    display: flex;
    flex-direction: column;

    align-items: center;
    justify-content: center;

    gap: 40px;

    padding: 40px 5%;

    min-height: calc(100vh - 86px);

    background:
    linear-gradient(
        rgba(42, 27, 56, 0.72),
        rgba(42, 27, 56, 0.72)
    ),
    url(../image/home/Imagem\ lanepage\ capa.png);

    background-position: right center;
    background-size: cover;
    background-repeat: no-repeat;
}

.home-content {
    text-align: center;

    font-size: 1.5rem;
}

.home-image {
    width: clamp(300px, 50%, 4px);
}

#home-title {
    color: white;
    text-align: center;
    font-size: clamp(3rem, 8vw, 5rem);

    line-height: 1.1;
    letter-spacing: -2px;

    font-weight: 700;
}


#home-title > span {
    color: var(--cor-secundaria-1);
}

#home-description {
    color: var(--cor-texto);

    padding: 10px;

    line-height: 1.8;

    font-size: 1.1rem;

}

#about {
    display: flex;
    flex-direction: column;

    align-items: center;
    gap: 60px;

    padding: 40px 5%;
    padding-top: 0;

    background-color: #faf9fc;
}

.titulo-palestrante > span {
    color: var(--cor-secundaria-1);
}


.about-palestrante {
    font-size: 1rem;
    line-height: 1.8;
    padding: 0px 10px 0px 10px;
    margin-bottom: 13px;

    text-align: center;

    color: #555;
}

#palestrante {
    width: 100vw;

    object-fit: cover;
}

picture {
    display: block;
}

.titulo-palestrante {
    font-size: 2rem;
    font-weight: 600;
    letter-spacing: 2px;
    margin-top: 10px;
    margin-bottom: 10px;
    position: relative;

    color: var(--cor-texto-escuro);

    text-align: center;
}

.titulo-palestrante::before {
    content: '';
    position: absolute;

    width: 60px;
    height: 4px;

    background-color: var(--cor-secundaria-2);

    top: -8px;
    left: 50%;

    transform: translateX(-50%);

}

#video {
    padding: 40px 5%;

    display: flex;
    flex-direction: column;
    justify-content: center;

    gap: 60px;

    background-color: var(--cor-fundo);
}

#video-content {
    width: 100%;
    max-width: 700px;

    aspect-ratio: 16 / 9;

    overflow: hidden;
    border-radius: 16px;
}

#video-content iframe {
    width: 100%;
    height: 100%;

    border: none;
    border-radius: 16px;

    box-shadow: 0 10px 30px rgba(0, 0, 0,.2);
}

.video-description {
    color: var(--cor-texto);

    max-width: 700px;

    letter-spacing: 4px;
    text-align: center;
    line-height: 1.7;

    font-size: 1.5rem;
}

.video-description > span {
    color: var(--cor-secundaria-1);
}

.testemunhos-container {
    background-color: white;
    width: 100%;
    overflow: hidden;
    gap: 60px;

}

.testemunhos-track {
    background-color: white;
    display: flex;
    gap: 20px;

    overflow-x: auto;

    scroll-snap-type: x mandatory;

    scroll-behavior: smooth;
}

.testemunhos {
    background-color: white;
    min-width: 300px;

    flex-shrink: 0;

    scroll-snap-type: start;
}

.testemunhos img {
    width: 415px;

    display: block;

    transition: all .3s ease;
}

.testemunhos img:hover {
    transform: translateY(-5px);
}

.testemunhos-text {
    background-color: white;
    font-size: 1.1rem;
    font-weight: 600;
    letter-spacing: 1px;
    padding-top: 30px;

    text-align: center;
}
.testemunhos-text > h2 {
    color: var(--cor-texto-escuro);
}

.testemunhos-text > h2 > span {
    color: var(--cor-secundaria-1);
}

.testemunhos-text > h1 {
    letter-spacing: normal;
    font-size: 1.1rem;
    font-weight: 300;

    color: var(--cor-secundaria-1);
}

#metodologia {
    display: flex;
    justify-content: center;

    gap: 60px;
}

#metodologia-img {
    width: 100%;

    max-width: 1000px;

    display: block;

    margin: 0 auto;
    
}

#metodologia-conteiner{
    padding: 70px 5%;

    text-align: center;
    background: linear-gradient(135deg, var(--cor-fundo), var(--cor-4));
}

.metodologia-text {
    font-size: 1rem;
    line-height: 1.8;

    color: rgb(224, 223, 223);
}

.metodologia-text > h2 {
    font-size: 2rem;
    font-weight: 600;
    letter-spacing: 2px;
    margin-bottom: 10px;
}

.metodologia-text > h2 > span {
    color: var(--cor-secundaria-1);
}

#metodologia-conteiner > a {
    background-color: var(--cor-secundaria-1);
    color: var(--cor-1);

    font-size: 1rem;

    border-radius: 50px;

    padding: 14px 28px;

    font-weight: 600;

    margin-top: 20px;

    box-shadow: 0 10px 20px rgba(0,0,0,.2);

    transition: all .3s ease;
}

#metodologia-conteiner > a:hover {
    background-color: var(--cor-secundaria-2);

    transform: translateY(-3px);
}

#livro-conteiner {

    padding: 80px 5%;

    background: linear-gradient(
        180deg,
        #faf9fc,
        #f3eef8
    );
}

.livro-content {
    background-color: white;

    padding: 40px 30px;

    border-radius: 24px;

    box-shadow: 0 10px 40px rgba(0, 0, 0, .08);
}

#livro-img img {
    width: 100%;
    max-width: 800px;

    height: auto;
    display: block;

    margin: 0 auto;

    filter: drop-shadow(0 20px 30px rgba(0,0,0,.25));


}



.livro-about {
    padding: 10px;
    font-size: 1rem;
    line-height: 1.8;

    color: var(--cor-texto-escuro);
}

.livro-about p {
    color: #555;
    font-size: 1.05rem;
}

.liv-titulo {
    font-size: 2rem;
    font-weight: 600;
    letter-spacing: 2px;
    margin-top: 10px;
    margin-bottom: 10px;
    position: relative;

    color: var(--cor-texto-escuro);

    text-align: center;
}

.liv-titulo::before {
    content: '';
    position: absolute;

    width: 60px;
    height: 4px;

    background-color: var(--cor-secundaria-2);

    top: -8px;
    left: 50%;

    transform: translateX(-50%);
}

footer {
    padding: 40px 0;

    background-color: var(--cor-1);

}

#footer_itens {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 20px;
}

.footer__slogan {
    color:  var(--cor-texto);
    font-weight:    600;
    font-size:  .97rem;
    margin-bottom: 4px;
}


.social-media-buttons {
    display: flex;
    gap: 18px;
    justify-content: center;
    margin-top: 10px;
}

.social-media-buttons a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 45px;
    height: 40px;
    background-color: white;
    font-size: 1.5rem;
    border-radius: 999px;
    text-decoration: none;
    color: var(--cor-1);
    box-shadow: 0px 0px 12px 4px rgba(0, 0, 0,.2);
    transition: all .3s ease;
}

.social-media-buttons a:hover {
    box-shadow: 0px 0px 12px 8px rgba(0, 0, 0,.2);
    transform: scale(1.05);
}



#video-content {
    box-shadow: 0 10px 40px rgba(0,0,0,.15);
}

.apb {
    margin-left: 20px;
    padding-top: 10px;
    background-color: white;
    border-radius: 999px;
}

.footer__logo {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 20px;
}

.footer__aponteb {
    text-decoration: none;
    color: var(--cor-texto);
}

.footer__aponteb > strong {
    color: var(--cor-secundaria-1);
}

.footer__info {
    margin-right: 20px;
}







@media screen and (min-width: 1200px) {
    .btn-mobile {
        display: none;
    }

    #nav-links {
        display: flex;
        flex-direction: row;

        position: static;

        width: auto;
        padding: 0;

        gap: 2rem;

        background-color: transparent;
    }

    .btn-default {
        display: block;
    }

    header {
        background-color: var(--cor-1);
        background: rgba(42, 27, 56, 0.916);
        position: sticky;
        backdrop-filter: blur(12px);
    }

    #home {
        flex-direction: row;

        justify-content: space-between;
        align-items: center;

        gap: 80px;

        min-height: 100vh;

        background-image: url(../image/home/Imagem-lanepage-capa.png);
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
    }

    .home-content {
        flex: 1;
        text-align: left;

        max-width: 600px;

        font-size: 2rem;
    }

    #home-title {
        text-align: left;
    }

    #home-description {
        text-align: left;
        padding: 0;
    }

    #about {
        flex-direction: row-reverse;

        justify-content: space-between;
        align-items: center;

        gap: 80px;

        padding: 0px;
    }

    #about-text {
        padding-left: 70px;
        padding-top: 30px;
    }

    .titulo-palestrante::before {
    content: '';
    display: block;
    width: 60px;
    height: 4px;
    background-color: var(--cor-secundaria-2);
    position: absolute;

    top: -8px;
    left: 29px;
    }

    .titulo-palestrante {
        text-align: left;
        margin-left: 70px;
    }

    .about-palestrante {
        text-align: left;
        margin-left: 70px;
        padding: 0;
        max-width: 600px;
    }

    #palestrante {
        width: 600px;
        height: 100%;

        display: block;

        border-radius: 0 0 0 999px;
    }

    #video {
        align-items: center;
    }

    .livro-content {
        display: flex;
        align-items: center;
        justify-content: space-between;

        flex-wrap: wrap;

        gap: 60px;
    }

    .livro-about {
        flex: 1;
        text-align: left;

        max-width: 500px;
    }

    #livro-img {
        flex: 1;
    }

    #livro-img img {
        max-width: 500px;
    }

    .btn-livro {
        flex: 0 0 auto;
        width: fit-content;

        margin-left: auto;
        margin-right: auto;
    }


    #footer_itens {
    flex-direction: row;
    justify-content: space-between;
    text-align: left;
    }

    .footer__logo {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }

    .footer__info {
        margin-bottom: 20px;
    }

    
}